Package org.bukkit.event.entity

# Enum Class EntityDamageEvent.DamageModifier

java.lang.Object
java.lang.Enum<EntityDamageEvent.DamageModifier>
org.bukkit.event.entity.EntityDamageEvent.DamageModifier

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityDamageEvent.DamageModifier>`, `Constable`

Enclosing class:
  EntityDamageEvent

@Deprecated public static enum EntityDamageEvent.DamageModifier extends Enum<EntityDamageEvent.DamageModifier>
Deprecated.
This API is responsible for a large number of implementation problems and is in general unsustainable to maintain. It is likely to be removed very soon in a subsequent release. Please see https://www.spigotmc.org/threads/194446/ for more information.
An enum to specify the types of modifier

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSORPTION`
Deprecated.
This represents the damage reduction caused by the absorption potion effect.
`ARMOR`
Deprecated.
This represents the damage reduction caused by wearing armor.
`BASE`
Deprecated.
This represents the amount of damage being done, also known as the raw `EntityDamageEvent.getDamage()`.
`BLOCKING`
Deprecated.
This represents the damage reduction caused by blocking, only present for `Players`.
`HARD_HAT`
Deprecated.
This represents the damage reduced by a wearing a helmet when hit by a falling block.
`MAGIC`
Deprecated.
This represents the damage reduction caused by the combination of: Armor enchantments Witch's potion resistance
`RESISTANCE`
Deprecated.
This represents the damage reduction caused by the Resistance potion effect.

## Method Summary

Modifier and Type
Method
Description
`static EntityDamageEvent.DamageModifier`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static EntityDamageEvent.DamageModifier[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BASE

public static final EntityDamageEvent.DamageModifier BASE
Deprecated.
This represents the amount of damage being done, also known as the raw `EntityDamageEvent.getDamage()`.

### HARD_HAT

public static final EntityDamageEvent.DamageModifier HARD_HAT
Deprecated.
This represents the damage reduced by a wearing a helmet when hit by a falling block.

### BLOCKING

public static final EntityDamageEvent.DamageModifier BLOCKING
Deprecated.
This represents the damage reduction caused by blocking, only present for `Players`.

### ARMOR

public static final EntityDamageEvent.DamageModifier ARMOR
Deprecated.
This represents the damage reduction caused by wearing armor.

### RESISTANCE

public static final EntityDamageEvent.DamageModifier RESISTANCE
Deprecated.
This represents the damage reduction caused by the Resistance potion effect.

### MAGIC

public static final EntityDamageEvent.DamageModifier MAGIC
Deprecated.
This represents the damage reduction caused by the combination of:

- Armor enchantments
- Witch's potion resistance

### ABSORPTION

public static final EntityDamageEvent.DamageModifier ABSORPTION
Deprecated.
This represents the damage reduction caused by the absorption potion effect.

## Method Details

### values

public static EntityDamageEvent.DamageModifier[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EntityDamageEvent.DamageModifier valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null